Bug 1021179 - [abrt] mirall-1.4.1-1.fc19: __strlen_sse2: Process /usr/bin/owncloud was killed by signal 11 (SIGSEGV)
[abrt] mirall-1.4.1-1.fc19: __strlen_sse2: Process /usr/bin/owncloud was kill...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mirall (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joseph Marrero
Fedora Extras Quality Assurance
abrt_hash:cb822019ea0383e4e0cf3e38969...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-20 01:28 EDT by Mark Sieklucki
Modified: 2013-11-10 02:29 EST (History)
1 user (show)

See Also:
Fixed In Version: owncloud-csync-0.90.4-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-06 02:31:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.47 KB, text/plain)
2013-10-20 01:28 EDT, Mark Sieklucki
no flags Details
File: cgroup (140 bytes, text/plain)
2013-10-20 01:28 EDT, Mark Sieklucki
no flags Details
File: core_backtrace (39.00 KB, text/plain)
2013-10-20 01:28 EDT, Mark Sieklucki
no flags Details
File: dso_list (14.37 KB, text/plain)
2013-10-20 01:28 EDT, Mark Sieklucki
no flags Details
File: environ (3.11 KB, text/plain)
2013-10-20 01:28 EDT, Mark Sieklucki
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-20 01:28 EDT, Mark Sieklucki
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-20 01:28 EDT, Mark Sieklucki
no flags Details
File: maps (72.60 KB, text/plain)
2013-10-20 01:28 EDT, Mark Sieklucki
no flags Details
File: open_fds (1.55 KB, text/plain)
2013-10-20 01:28 EDT, Mark Sieklucki
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-10-20 01:28 EDT, Mark Sieklucki
no flags Details
File: var_log_messages (355 bytes, text/plain)
2013-10-20 01:28 EDT, Mark Sieklucki
no flags Details

  None (edit)
Description Mark Sieklucki 2013-10-20 01:28:01 EDT
Description of problem:
Launched owncloud, set up sync with single root owncloud folder. Client folder was empty, server folder had files.

Sync starts without issues, about 6 GB successfully syncs to client, then application crashes.

Version-Release number of selected component:
mirall-1.4.1-1.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        owncloud
crash_function: __strlen_sse2
executable:     /usr/bin/owncloud
kernel:         3.10.11-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __strlen_sse2 at /lib64/libc.so.6
 #1 c_strdup at /usr/src/debug/ocsync-0.90.2/src/std/c_alloc.c:68
 #2 owncloud_sendfile at /usr/src/debug/ocsync-0.90.2/modules/csync_owncloud.c:1440
 #3 _csync_push_file at /usr/src/debug/ocsync-0.90.2/src/csync_propagate.c:441
 #4 _csync_new_file at /usr/src/debug/ocsync-0.90.2/src/csync_propagate.c:876
 #5 _csync_propagation_file_visitor at /usr/src/debug/ocsync-0.90.2/src/csync_propagate.c:1594
 #6 _rbtree_subtree_walk at /usr/src/debug/ocsync-0.90.2/src/std/c_rbtree.c:152
 #19 c_rbtree_walk at /usr/src/debug/ocsync-0.90.2/src/std/c_rbtree.c:169
 #20 csync_propagate_files at /usr/src/debug/ocsync-0.90.2/src/csync_propagate.c:1753
 #21 csync_propagate at /usr/src/debug/ocsync-0.90.2/src/csync.c:551
Comment 1 Mark Sieklucki 2013-10-20 01:28:06 EDT
Created attachment 814149 [details]
File: backtrace
Comment 2 Mark Sieklucki 2013-10-20 01:28:11 EDT
Created attachment 814150 [details]
File: cgroup
Comment 3 Mark Sieklucki 2013-10-20 01:28:13 EDT
Created attachment 814151 [details]
File: core_backtrace
Comment 4 Mark Sieklucki 2013-10-20 01:28:16 EDT
Created attachment 814152 [details]
File: dso_list
Comment 5 Mark Sieklucki 2013-10-20 01:28:18 EDT
Created attachment 814153 [details]
File: environ
Comment 6 Mark Sieklucki 2013-10-20 01:28:20 EDT
Created attachment 814154 [details]
File: exploitable
Comment 7 Mark Sieklucki 2013-10-20 01:28:22 EDT
Created attachment 814155 [details]
File: limits
Comment 8 Mark Sieklucki 2013-10-20 01:28:24 EDT
Created attachment 814156 [details]
File: maps
Comment 9 Mark Sieklucki 2013-10-20 01:28:26 EDT
Created attachment 814157 [details]
File: open_fds
Comment 10 Mark Sieklucki 2013-10-20 01:28:30 EDT
Created attachment 814158 [details]
File: proc_pid_status
Comment 11 Mark Sieklucki 2013-10-20 01:28:32 EDT
Created attachment 814159 [details]
File: var_log_messages
Comment 12 Fedora Update System 2013-10-26 22:01:04 EDT
owncloud-csync-0.90.4-1.fc19,mirall-1.4.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/owncloud-csync-0.90.4-1.fc19,mirall-1.4.2-1.fc19
Comment 13 Fedora Update System 2013-10-26 22:02:01 EDT
owncloud-csync-0.90.4-1.fc18,mirall-1.4.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/owncloud-csync-0.90.4-1.fc18,mirall-1.4.2-1.fc18
Comment 14 Fedora Update System 2013-10-26 22:02:45 EDT
owncloud-csync-0.90.4-1.fc20,mirall-1.4.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/owncloud-csync-0.90.4-1.fc20,mirall-1.4.2-1.fc20
Comment 15 Fedora Update System 2013-10-27 14:10:45 EDT
Package owncloud-csync-0.90.4-1.fc20, mirall-1.4.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing owncloud-csync-0.90.4-1.fc20 mirall-1.4.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20086/owncloud-csync-0.90.4-1.fc20,mirall-1.4.2-1.fc20
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2013-11-06 02:31:45 EST
owncloud-csync-0.90.4-1.fc19, mirall-1.4.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-11-06 02:35:41 EST
owncloud-csync-0.90.4-1.fc18, mirall-1.4.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-11-10 02:29:11 EST
owncloud-csync-0.90.4-1.fc20, mirall-1.4.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.